石鑫华视觉网| 东莞华视自动化科技有限公司|机器视觉商城|机器视觉论坛|淘宝店铺

机器视觉_石鑫华视觉网_光源_控制器_工业相机_镜头_视觉方案_NI_LabVIEW_Vision_VBAI_图像处理教程_论坛_商城_东莞华视自动化科技有限公司,机器视觉,工业相机,工业镜头,LED光源,图像处理,视觉方案,VBAI,LabVIEW

石鑫华视觉网,东莞华视自动化科技有限公司,机器视觉商城淘宝店,机器视觉网,机器视觉论坛,机器视觉光源,光源控制器,工业相机,工业镜头,视觉方案,机器视觉系统,图像处理教程,LabVIEW

当前位置: 首页 > 下载 >

NI VBAI2014版支持LabVIEW2014版VI

时间:2015-03-18来源:华视自动化http://pcmv.cn 作者:石鑫华视觉 点击:

NI VBAI2014版支持LabVIEW2014版VI

使用NI VBAI(Vision Builder for Automation Inspection)的视觉工程师应该都知道,在VBAI2013版(含SP1)及以前的版本中,当年的VBAI版本,只能调用比当年的版本早一版本的LabVIEW编写的VI,即VBAI2013只能调用LabVIEW2012开发的VI。LabVIEW2013、LabVIEW2011等版本的写的VI都是不能调用的。这往往会给程序员带来一定的麻烦。因为如果是这样的话,就意味着系统中需要安装两个以上的LabVIEW版本,如果是需要支持正版的话,这个费用往往会更高。
 
但是从VBAI2014版以后,这个情况已经被改善。现在的VBAI2014、VBAI2014SP1都已经直接支持LabVIEW2014版开发的VI,不再限制于一定要使用上一版本的LabVIEW开发VI了。
使用LabVIEW2014SP1开发的一个简单的加法VI
使用LabVIEW2014SP1开发的一个简单的加法VI
VBAI2014中,可以直接调用LabVIEW2014版开发的VI
VBAI2014中,可以直接调用LabVIEW2014版开发的VI
下面我们再看看其是否会限制早期版本的VI,我们使用2013开发一个减法程序,再调用试试:
VBAI2014并不能直接支持早期版本的VI
VBAI2014并不能直接支持早期版本的VI
从这里我们可以看到,VBAI2014并不能直接调用早期版本的VI,这里VBAI可以将早期版本的VI转换为2014版的VI。重新编译过后,则可以正常支持:
VBAI2014重新编译过成2014版的VI可以支持
VBAI2014重新编译过成2014版的VI可以支持
在这里可以知道,VBAI2014已经支持LabVIEW2014,而不再被限制成地2013版VI。这也算是一个小小的进步,至少我们不需要再安装两个版本的LabVIEW了。
------分隔线----------------------------
石鑫华推荐